/* || HOME */

.hero__home {
  background-image: url(../../assets/images/home_hero_600w.jpg),
    linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
  min-height: 600px;
  align-items: center;
  text-align: center;
  font-size: var(--font-size-mobile-body-large);
}

.hero__home p {
  max-width: 750px;
}

.hero__home-content {
  gap: 2rem;
}

.home__information-section {
  background-color: var(--primary-color-light);
}

.home__information-section-content {
  text-align: center;
  align-items: center;
  gap: 2rem;
  font-size: var(--font-size-mobile-body-medium);
}

.home__information-text {
  gap: 0.5rem;
}

.home__information-text-small {
  font-size: var(--font-size-mobile-body-medium);
}

.home__information-button {
  margin-top: 0.5rem;
}

.home__special-events-section {
  background-color: var(--neutral-color-light);
}

.home__special-events-section-text {
  line-height: 1.8;
  gap: 0.5rem;
}

.home__special-events-gap {
  gap: 2rem;
}

.home__special-events-section-content {
  font-size: var(--font-size-mobile-body-small);
}

.home__special-events-section article {
  max-width: 600px;
}

.home__special-events-section-content article:hover {
  background-color: var(--primary-color-light-active);
  font-weight: 500;
}

.home__young-stars-club-section {
  justify-content: center;
  background-image: url(../../assets/images/young-stars-club-banner_600w.jpg),
    linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
  background-blend-mode: overlay;
  background-position: center;
  background-size: cover;
  color: var(--neutral-color-light);
  font-size: var(--font-size-mobile-body-medium);
  line-height: 1.7;
}

.home__young-stars-club-section h2 {
  font-size: var(--font-size-mobile-h1);
  font-weight: 600;
  text-transform: uppercase;
}

.home__young-stars-club-content {
  background-color: rgba(50, 46, 104, 0.8);
}

.home__young-stars-club-content {
  justify-content: center;
  gap: 1rem;
  padding: 2rem;
}

@media (min-width: 600px) {
  .hero__home {
    background-image: url(../../assets/images/home_hero_2064w.jpg),
      linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
    background-size: cover;
    font-size: var(--font-size-desktop-body-large);
  }

  .hero__home,
  .hero__home h1 {
    text-align: left;
  }

  .home__information-section-content {
    font-size: var(--font-size-desktop-body-large);
    flex-direction: row;
    justify-content: space-between;
    gap: 3rem;
    align-items: flex-start;
  }

  .home__information-section-content div {
    align-items: left;
    text-align: left;
  }

  .home__information-section-content div h3 {
    padding-bottom: 1rem;
  }

  .home__special-events-section-content {
    font-size: var(--font-size-desktop-body-small);
  }

  .home__special-events-section-text {
    gap: 0.5rem;
    line-height: 1.5;
  }

  .home__information-text-small {
    font-size: var(--font-size-desktop-body-medium);
  }

  .home__young-stars-club-section {
    background-image: url(../../assets/images/young-stars-club-banner_2064w.jpg),
      linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
    background-size: cover;
    font-size: var(--font-size-desktop-body-medium);
    line-height: 1.5;
  }

  .home__young-stars-club-section h2 {
    font-size: var(--font-size-desktop-h1);
  }

  .home__young-stars-club-content {
    padding: 4rem;
  }

  .home__young-stars-club-content,
  .home__young-stars-club-content div {
    gap: 1rem;
  }
}

@media (min-width: 800px) {
  .home__special-events-section-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
  }

  .home__special-events-section-content a {
    display: grid;
  }

  .home__special-events-section-content article {
    display: grid;
    grid-template-rows: max-content;
    grid-template-columns: minmax(0, 1fr);
  }
}

@media (min-width: 1100px) {
  .home__special-events-section-content {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .home__young-stars-club-content {
    max-width: 900px;
  }
}

@media (max-width: 1100px) {
  .home__information-section-content {
    flex-wrap: wrap;
  }
}
